* {
    margin: 0;
    padding: 0;
    font-family: Roboto;
}


.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

.product-container {
    display: flex;
    align-items: flex-start;
    margin-top: 40px;
}

.product-image {
    flex: 1;
}

.product-image img {
    max-width: 100%;
}

.product-info {
    flex: 1;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

.product-info h2 {
    font-size: 24px;
    margin-bottom: 10px;
}

.product-specs,
.product-description,
.product-price {
    margin-bottom: 10px;
}

.product-description {
    font-size: 14px;
    color: #777;
}

.product-price {
    font-size: 20px;
    font-weight: bold;
}

.button1 {
    color: #fffcf2;
    border-radius: 3px;
    padding: 19px 54px;
    font-size: 14px;
    line-height: 14px;
    letter-spacing: .1em;
    background-color: #1e1e1e;
    display: inline-block;
    transition: .2s all ease-in-out;
    text-decoration: none;
    text-align: center;
    border: 1px solid #B7ADA1;
    border-top-color: rgb(183, 173, 161);
    border-right-color: rgb(183, 173, 161);
    border-bottom-color: rgb(183, 173, 161);
    border-left-color: rgb(183, 173, 161);
    box-shadow: 0 0 #fffcf2,0 0 #fffcf2,0 0 #fffcf2,0 0 #fffcf2;
}

.button1:hover{
    background: #FFFCF2 !important;
    color: #1e1e1e !important;
    border-color: #b7ada1 !important;
    box-shadow: 4px -4px #fffcf2,-4px 4px #fffcf2,-4px -4px #fffcf2,4px 4px #fffcf2;
}

.product-description-section {
    margin-top: 40px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    padding: 20px;
}

.product-description-section h3 {
    font-size: 30px;
    margin-bottom: 30px;
}

.product-description-section p {
    font-size: 16px;
    color: #777;
}

.product-related-section {
    margin-top: 40px;
}

.product-related-section h3 {
    font-size: 20px;
    margin-bottom: 10px;
}

.product-related-list {
    display: flex;
    justify-content: space-between;
    list-style-type: none;
}

.product-related-item {
    flex: 0 0 calc(33.33% - 20px);
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    padding: 20px;
}

.product-related-image img {
    max-width: 100%;
}

.product-related-title {
    font-size: 16px;
    margin-bottom: 10px;
}

.product-related-price {
    font-size: 14px;
    color: #777;
}

.product-related-link {
    display: inline-block;
    background-color: #212121;
    color: #fff;
    text-decoration: none;
    padding: 10px 20px;
    margin-top: 10px;
    font-size: 14px;
}

.product-related-slider {
    overflow: hidden;
}

.product-related-list {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.product-related-item {
    flex: 0 0 calc(33.33% - 20px);
    background-color: #fff;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    padding: 20px;
}

/* Optioneel: voeg pijlknoppen toe om door de slider te navigeren */
.product-related-section .prev,
.product-related-section .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 24px;
}

.product-related-section .prev {
    left: 10px;
}

.product-related-section .next {
    right: 10px;
}


/* Standaard stijl voor de "product-container" */
.product-container {
    display: flex;
    gap: 1rem;
}

/* Stijl voor de afbeeldingscontainer */
.product-img-container {
    order: 0; /* Wijzig de volgorde naar 1 op kleinere schermen */
    flex: 1; /* Neem de volledige breedte in op kleinere schermen */
}

/* Media query voor tablets (bijv. iPad) */
@media (max-width: 900px) {
    .product-container {
        flex-direction: column;
        align-items: flex-start;
    }
    .product-info {
        margin-top: 1rem;
    }
    .product-image {
        width: 97%;
    }
}

/* Media query voor mobiele apparaten (bijv. smartphones) */
@media (max-width: 576px) {
    .product-info {
        margin-top: 0;
    }
    .product-specs, .product-description, .product-price, .product-btn {
        font-size: 0.9rem;
    }
}